#
# spec file for package aten
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 by Lars Vogdt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define _sver   216
Name:           aten
Version:        2.1.6
Release:        lp150.1.1
Summary:        Atomic configuration builder and editor
License:        GPL-2.0
Group:          Productivity/Scientific/Chemistry
Url:            https://www.projectaten.com
Source0:        https://www.projectaten.com/user/pages/aten/download/_version%{_sver}/Source/%{name}-%{version}.tar.gz
BuildRequires:  Mesa-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(ftgl) >= 2.0
BuildRequires:  readline-devel

%description
Aten provides a clean graphical user interface allowing the intuitive editing
and creation of input coordinates for computational chemistry / physics codes.
It allows periodic (i.e. condensed) and non-periodic (i.e. gas-phase) models
and systems to be created either from scratch or from existing coordinate files.
Molecular mechanics forcefields of standard functional forms may be loaded and
used to minimise existing systems or create (through Monte Carlo techniques)
new multi-component configurations. Periodic systems may be stretched, scaled,
and repeated, and symmetry operators applied. Molecular dynamics trajectories
may be loaded, viewed, frames edited, and properties calculated.

%prep
%setup -q

%build
export CXXFLAGS="-std=c++11"
%configure
make  %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog
%{_bindir}/aten
%{_datadir}/aten
%{_datadir}/applications/Aten.desktop
%{_datadir}/pixmaps/aten.png
%{_libdir}/aten

%changelog
* Sat Aug 26 2017 aloisio@gmx.com
- Update to 2.1.6
- Switch to Qt5
- Dropped aten-1.7-stringcompare.patch due to significant code
  changes
- Spec cleanup
* Wed Feb 15 2012 lars@linux-schulserver.de
- update to 1.7
- use SPDX license format
- enable parallel build
- specfile cleanup
- added aten-1.7-stringcompare.patch
- add -lGL to the LIBS variable
* Fri Sep 17 2010 andrea@opensuse.org
- Revritten completly the spec file using macros where possible
* Wed Apr  2 2008 Tristan Youngs <tris@projectaten.net>
- added checks to build on different distros with the SuSE build service.
* Tue Apr  1 2008 Tristan Youngs <tris@projectaten.net>
- added dependencies list and long description.
* Sun Mar 30 2008 Tristan Youngs <tris@projectaten.net>
- installation target points to local dir.
* Mon Mar 24 2008 Tristan Youngs <tris@projectaten.net>
- initial version.
